Subject: Re: [PATCH 0/9] send-email: various optimizations to speed up by >2x

From: Eric Wong <[email-masked]>
Date: Wed, 12 May 2021 18:04:31 +0000

Ævar Arnfjörð Bjarmason <[email-masked]> wrote:
> As noted in the subject this speeds up git-send-email invocations by
> ~2x or more, and brings the very slow t9001 test from running in ~26s
> on my box to ~12s. It's no longer consistently the slowest test I run.
> 
> This is basically done in two ways: We lazily invoke "git config" to
> get config, before it's very eager, and deferring Perl compilation
> with s/use/require/g.

Nice.  I've been doing similar things elsewhere and hoping to
find time to get around to git-svn at some point.

> Ævar Arnfjörð Bjarmason (9):
>   send-email: remove non-working support for "sendemail.smtpssl"
>   send-email: refactor sendemail.smtpencryption config parsing
>   send-email: lazily load config for a big speedup
>   send-email: lazily shell out to "git var"
>   send-email: use function syntax instead of barewords
>   send-email: get rid of indirect object syntax
>   send-email: lazily load modules for a big speedup
>   perl: lazily load some common Git.pm setup code
>   send-email: move trivial config handling to Perl

I spotted some further optimizations for 7 and 8,
but otherwise consider this series:

Reviewed-by: Eric Wong <[email-masked]>